<?php

$navigator = \Phpcmf\Service::C()->get_cache('navigator-'.$system['site']); // 导航缓存
if (!$navigator) {
    return $this->_return($system['return'], '没有查询到内容');
}

$i = 0;
$show = isset($param['show']) ? 1 : 0; // 有show参数表示显示隐藏栏目
$data = $navigator[(int)$param['type']];
if (!$data) {
    // 没有查询到内容
    return $this->_return($system['return'], '没有查询到内容');
}

$return = [];
foreach ($data as $t) {
    if ($system['num'] && $i >= $system['num']) {
        break;
    } elseif (isset($param['pid']) && $t['pid'] != (int)$param['pid']) {
        continue;
    } elseif (isset($param['id']) && $t['id'] != (int)$param['id']) {
        continue;
    } elseif (!$t['show'] && !$show) {
        continue;
    }
    $return[] = $t;
    $i ++;
}

if (!$return) {
    return $this->_return($system['return'], '没有匹配到内容');
}

return $this->_return($system['return'], $return, '');